Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027014
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-07-04 09:502014-08-08 18:54
ReportercaristuView Statuspublic 
Assigned Toshankarb 
PriorityhighResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revisiona0b47771f3be
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027014: Is not possible to create a field for a computed column using the Create Fields button

DescriptionIs not possible to create a field for a computed column using the Create Fields button, once it is added a compilation error is obtained:

ERROR: column <table_name>.<computed_column_name> does not exist
Steps To Reproduce1) Add a new computed column for a table
2) Create its corresponding field in [Windows, Tabs and Fields] using the "Create Fields" button
3) Rebuild the application
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0068886)
hgbot (developer)
2014-07-25 10:39

Repository: erp/devel/pi
Changeset: a0b47771f3be47b6d60eb07d4250a01a3bbd4648
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Fri Jul 25 14:05:53 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a0b47771f3be47b6d60eb07d4250a01a3bbd4648 [^]

Fixes Issue 27014: Computed columns can be created using create fields

Set ignoreinwad to true when the field is a computed column.

---
M src-db/database/model/functions/AD_TAB_IMPORT.xml
---
(0068900)
alostale (developer)
2014-07-28 08:22

code reviewed + tested
(0069227)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-04 09:50 caristu New Issue
2014-07-04 09:50 caristu Assigned To => AugustoMauch
2014-07-04 09:50 caristu Modules => Core
2014-07-04 09:50 caristu Triggers an Emergency Pack => No
2014-07-04 09:51 caristu Description Updated View Revisions
2014-07-04 09:51 caristu Issue Monitored: networkb
2014-07-25 08:01 shankarb Assigned To AugustoMauch => shankarb
2014-07-25 09:53 caristu Summary Is not possible to create a computed column for the Product Category window => Is not possible to create a field for a computed column using the Create Fields button
2014-07-25 09:53 caristu Description Updated View Revisions
2014-07-25 09:53 caristu Steps to Reproduce Updated View Revisions
2014-07-25 10:38 shankarb Review Assigned To => alostale
2014-07-25 10:38 shankarb Issue Monitored: alostale
2014-07-25 10:39 hgbot Checkin
2014-07-25 10:39 hgbot Note Added: 0068886
2014-07-25 10:39 hgbot Status new => resolved
2014-07-25 10:39 hgbot Resolution open => fixed
2014-07-25 10:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a0b47771f3be47b6d60eb07d4250a01a3bbd4648 [^]
2014-07-28 08:22 alostale Note Added: 0068900
2014-07-28 08:22 alostale Status resolved => closed
2014-07-28 08:22 alostale Fixed in Version => 3.0PR14Q4
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069227


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker